Package org.bukkit.event.world

# Class EntitiesUnloadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent
org.bukkit.event.world.EntitiesUnloadEvent

public class EntitiesUnloadEvent extends ChunkEvent
Called when entities are unloaded. The provided chunk may or may not be loaded.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.world.ChunkEvent

`chunk`

## Constructor Summary

Constructors
Constructor
Description
`EntitiesUnloadEvent(@NotNull Chunk chunk, @NotNull List<Entity> entities)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<Entity>`
`getEntities()`
Get the entities which are being unloaded.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.world.ChunkEvent

`getChunk`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntitiesUnloadEvent

public EntitiesUnloadEvent(@NotNull @NotNull Chunk chunk, @NotNull @NotNull List<Entity> entities)

## Method Details

### getEntities

@NotNull public @NotNull List<Entity> getEntities()
Get the entities which are being unloaded.

Returns:
  unmodifiable list of unloaded entities.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()